Subject: Re: [Bier] New Version Notification for draft-eckert-bier-te-arch-02.txt

From: Toerless Eckert <[email-masked]>
Date: Sun, 18 Oct 2015 21:08:56 -0700

Hopefully the changes made for -02 capture what was missing or confusing
in the discusses about BIER-TE we had on the list (*):

13.  Change log [RFC Editor: Please remove]

      02: Changed the definition of BIFT to be more inline with BIER.
      In revs. up to -01, the idea was that a BIFT has only entries for
      a single bitstring, and every SI and subdomain would be a separate
      BIFT.  In BIER, each BIFT covers all SI.  This is now also how we
      define it in BIER-TE.

      02: Added Section 8 to explain the use of SI, subdomains and BFR-
      id in BIER-TE and to give an example how to efficiently assign
      bits for a large topology requiring multiple SI.

->    This is the major piece, ca. 5 pages. 

      02: Added further detailed for rings - how to support input from
      all ring nodes.

Thanks
    Toerless

(*) Oops, forgot to update list of kudos with the folks who helped
to clarify, i will upload a -03 earlier in the IETF week.

On Sun, Oct 18, 2015 at 09:03:41PM -0700, [email-masked] wrote:
> 
> A new version of I-D, draft-eckert-bier-te-arch-02.txt
> has been successfully submitted by Toerless Eckert and posted to the
> IETF repository.
> 
> Name:		draft-eckert-bier-te-arch
> Revision:	02
> Title:		Traffic Enginering for Bit Index Explicit Replication BIER-TE
> Document date:	2015-10-18
> Group:		Individual Submission
> Pages:		30
> URL:            https://www.ietf.org/internet-drafts/draft-eckert-bier-te-arch-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-eckert-bier-te-arch/
> Htmlized:       https://tools.ietf.org/html/draft-eckert-bier-te-arch-02
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-eckert-bier-te-arch-02
> 
> Abstract:
>    This document proposes an architecture for BIER-TE: Traffic
>    Engineering for Bit Index Explicit Replication (BIER).
> 
>    BIER-TE shares part of its architecture with BIER as described in
>    [I-D.ietf-bier-architecture].  It also proposes to share the packet
>    format with BIER.
> 
>    BIER-TE forwards and replicates packets like BIER based on a
>    BitString in the packet header but it does not require an IGP.  It
>    does support traffic engineering by explicit hop-by-hop forwarding
>    and loose hop forwarding of packets.  It does support Fast ReRoute
>    (FRR) for link and node protection and incremental deployment.
>    Because BIER-TE like BIER operates without explicit in-network tree-
>    building but also supports traffic engineering, it is more similar to
>    SR than RSVP-TE.
> 
>                                                                                   
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

-- 
---
Toerless Eckert, [email-masked]